Bug 252982 - databases/p5-SQL-Abstract-More: Update to 1.37
Summary: databases/p5-SQL-Abstract-More: Update to 1.37
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vanilla I. Shu
URL: https://metacpan.org/changes/distribu...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-24 17:58 UTC by Sergei Vyshenski
Modified: 2021-02-06 15:09 UTC (History)
2 users (show)

See Also:


Attachments
patch to update the port (1.30 KB, patch)
2021-01-24 17:58 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update the port (1.30 KB, patch)
2021-01-29 12:31 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update the port (1.30 KB, patch)
2021-01-30 16:26 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-01-24 17:58:25 UTC
Created attachment 221887 [details]
patch to update the port

- update 1.34 -> 1.35
- Changes: https://metacpan.org/changes/distribution/SQL-Abstract-More

- "portlint -AC" gives non-relevant warns.
- "portclippy Makefile" is happy.
- Tested with:
12.2-RELEASE-p2
pkg 1.16.2
poudriere 3.3.6
perl 5.32.0
openssl 1.1.1h
ssl=base
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 1 Automation User 2021-01-24 18:11:59 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/246111732
Comment 2 Sergei Vyshenski 2021-01-29 12:31:17 UTC
Created attachment 222003 [details]
patch to update the port

- update 1.34 -> 1.36
- Changes: https://metacpan.org/changes/distribution/SQL-Abstract-More

- "portlint -AC" gives non-relevant warns.
- "portclippy Makefile" is happy.
- Tested with:
12.2-RELEASE-p3
pkg 1.16.2
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1h
ssl=base
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 3 Sergei Vyshenski 2021-01-30 16:26:28 UTC
Created attachment 222026 [details]
patch to update the port

- update 1.34 -> 1.37
- Changes: https://metacpan.org/changes/distribution/SQL-Abstract-More

- "portlint -AC" gives non-relevant warns.
- "portclippy Makefile" is happy.
- Tested with:
12.2-RELEASE-p3
pkg 1.16.2
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1h
ssl=base
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 4 Vanilla I. Shu freebsd_committer 2021-02-06 15:08:51 UTC
Committed, thanks.
Comment 5 commit-hook freebsd_committer 2021-02-06 15:09:07 UTC
A commit references this bug:

Author: vanilla
Date: Sat Feb  6 15:08:45 UTC 2021
New revision: 564226
URL: https://svnweb.freebsd.org/changeset/ports/564226

Log:
  Update to 1.37.

  PR:		252982
  Submitted by:	maintainer

Changes:
  head/databases/p5-SQL-Abstract-More/Makefile
  head/databases/p5-SQL-Abstract-More/distinfo